Subject: RE: long double support in cygwin
From: Bernard Dautrevaux <[email-masked]>
To: "'John Bowman'" <[email-masked]>, [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 14 Nov 2000 11:09:10 +0100

> -----Original Message-----
> From: John Bowman [mailto:[email-masked]]
> Sent: Sunday, November 12, 2000 7:37 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: long double support in cygwin
> 
> 
	...
> > 
> > I wonder if Bowman, the author of inline-math, knew that the LGPL
> > would *prevent* people from using his code!  It should be up to
> > him to decide whether you have permission.
> > 
> 
> I agree. When I LGPLed inline-math, I wanted to make it 
> *easier* for all
> developers to be able to use this code, by relaxing some of 
> the restrictions
> of the plain GPL license. 

The problem is that inline-math is *not* a library, but a source file :-)
This mean there is essentially *no* difference between GPL and LGPL ;-(

This mean inline-math is *not* usable if the resulting code is not placed
under the GPL. I think this is one of the weaknesses of GPL when used for
this kind of stuff, and its the reason for LGPL: in such a case you are
"polluting" the using code by the GPL and as such effectively restrict the
usefulness of your code. For example if someone decide to license its code
under some variant of the MIT or BSD licenses, they can't use your code, and
that's a pity.

It's even worst: if I install math-inline on my system and compile some BSD
stuff I'm effectively placing it under the GPL license, something I'm not
sure the BSD license allows me;  of course IANAL, but I'd rather not take
the chance :-)

The net effect is that a very nice and useful piece of code is effectively
unusable for most of us :-(

> 
> In any case, I hereby give my permission to 
> Christopher Faylor <[email-masked]> 
> to make unrestricted use of the source code found at
> ftp://sunsite.unc.edu/pub/Linux/libs/inline-math-2.7.tar.gz, 
> provided that he respects my right to distribute this code 
> freely to the
> programming community.

I think you do not need the last part of this, as you can retain the
ownership of the software. Licensing it also under a BSD or MIT-like license
will IMHO allows both its use by cygwin or other non GPL software, but also
allows a lot fo people to install it without fear of breaking the license
for math-inline or something else.

Regards,
	
	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Send a message to [email-masked]